## EogJob

EogJob

## Functions

#define | EOG_TYPE_JOB_THUMBNAIL
#define | EOG_JOB_THUMBNAIL()
#define | EOG_JOB_THUMBNAIL_CLASS()
#define | EOG_IS_JOB_THUMBNAIL()
#define | EOG_TYPE_JOB_LOAD
#define | EOG_JOB_LOAD()
#define | EOG_JOB_LOAD_CLASS()
#define | EOG_IS_JOB_LOAD()
#define | EOG_TYPE_JOB_MODEL
#define | EOG_JOB_MODEL()
#define | EOG_JOB_MODEL_CLASS()
#define | EOG_IS_JOB_MODEL()
#define | EOG_TYPE_JOB_TRANSFORM
#define | EOG_JOB_TRANSFORM()
#define | EOG_JOB_TRANSFORM_CLASS()
#define | EOG_IS_JOB_TRANSFORM()
#define | EOG_TYPE_JOB_SAVE
#define | EOG_JOB_SAVE()
#define | EOG_JOB_SAVE_CLASS()
#define | EOG_IS_JOB_SAVE()
#define | EOG_JOB_SAVE_GET_CLASS()
#define | EOG_TYPE_JOB_SAVE_AS
#define | EOG_JOB_SAVE_AS()
#define | EOG_JOB_SAVE_AS_CLASS()
#define | EOG_IS_JOB_SAVE_AS()
#define | EOG_JOB_COPY()
#define | EOG_JOB_COPY_CLASS()
void | eog_job_run ()
void | eog_job_set_progress ()
GType | eog_job_thumbnail_get_type ()
EogJob * | eog_job_thumbnail_new ()
GType | eog_job_load_get_type ()
EogJob * | eog_job_load_new ()
GType | eog_job_model_get_type ()
EogJob * | eog_job_model_new ()
GType | eog_job_transform_get_type ()
EogJob * | eog_job_transform_new ()
GType | eog_job_save_get_type ()
EogJob * | eog_job_save_new ()
GType | eog_job_save_as_get_type ()
EogJob * | eog_job_save_as_new ()
GType | eog_job_copy_get_type ()
EogJob * | eog_job_copy_new ()

## Signals

void | cancelled | Run Last
void | finished | Run Last
void | progress | Run Last

## Types and Values

| EogJob
struct | EogJobThumbnail
struct | EogJobLoad
struct | EogJobModel
struct | EogJobTransform
struct | EogJobSave
struct | EogJobSaveAs
struct | EogJobCopy

## Object Hierarchy

        GObject
        ╰── EogJob
            ├── EogJobCopy
            ├── EogJobLoad
            ├── EogJobModel
            ├── EogJobSave
            │   ╰── EogJobSaveAs
            ├── EogJobThumbnail
            ╰── EogJobTransform

## Description

## Functions

### EOG_TYPE_JOB_THUMBNAIL

    #define EOG_TYPE_JOB_THUMBNAIL            (eog_job_thumbnail_get_type ())

### EOG_JOB_THUMBNAIL()

    #define EOG_JOB_THUMBNAIL(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), EOG_TYPE_JOB_THUMBNAIL, EogJobThumbnail))

### EOG_JOB_THUMBNAIL_CLASS()

    #define EOG_JOB_THUMBNAIL_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass),  EOG_TYPE_JOB_THUMBNAIL, EogJobThumbnailClass))

### EOG_IS_JOB_THUMBNAIL()

    #define EOG_IS_JOB_THUMBNAIL(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), EOG_TYPE_JOB_THUMBNAIL))

### EOG_TYPE_JOB_LOAD

    #define EOG_TYPE_JOB_LOAD                 (eog_job_load_get_type ())

### EOG_JOB_LOAD()

    #define EOG_JOB_LOAD(obj)                 (G_TYPE_CHECK_INSTANCE_CAST ((obj), EOG_TYPE_JOB_LOAD, EogJobLoad))

### EOG_JOB_LOAD_CLASS()

    #define EOG_JOB_LOAD_CLASS(klass)         (G_TYPE_CHECK_CLASS_CAST ((klass),  EOG_TYPE_JOB_LOAD, EogJobLoadClass))

### EOG_IS_JOB_LOAD()

    #define EOG_IS_JOB_LOAD(obj)              (G_TYPE_CHECK_INSTANCE_TYPE ((obj), EOG_TYPE_JOB_LOAD))

### EOG_TYPE_JOB_MODEL

    #define EOG_TYPE_JOB_MODEL                (eog_job_model_get_type ())

### EOG_JOB_MODEL()

    #define EOG_JOB_MODEL(obj)                (G_TYPE_CHECK_INSTANCE_CAST ((obj), EOG_TYPE_JOB_MODEL, EogJobModel))

### EOG_JOB_MODEL_CLASS()

    #define EOG_JOB_MODEL_CLASS(klass)        (G_TYPE_CHECK_CLASS_CAST ((klass),  EOG_TYPE_JOB_MODEL, EogJobModelClass))

### EOG_IS_JOB_MODEL()

    #define EOG_IS_JOB_MODEL(obj)             (G_TYPE_CHECK_INSTANCE_TYPE ((obj), EOG_TYPE_JOB_MODEL))

### EOG_TYPE_JOB_TRANSFORM

    #define EOG_TYPE_JOB_TRANSFORM            (eog_job_transform_get_type ())

### EOG_JOB_TRANSFORM()

    #define EOG_JOB_TRANSFORM(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), EOG_TYPE_JOB_TRANSFORM, EogJobTransform))

### EOG_JOB_TRANSFORM_CLASS()

    #define EOG_JOB_TRANSFORM_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass),  EOG_TYPE_JOB_TRANSFORM, EogJobTransformClass))

### EOG_IS_JOB_TRANSFORM()

    #define EOG_IS_JOB_TRANSFORM(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), EOG_TYPE_JOB_TRANSFORM))

### EOG_TYPE_JOB_SAVE

    #define EOG_TYPE_JOB_SAVE                 (eog_job_save_get_type ())

### EOG_JOB_SAVE()

    #define EOG_JOB_SAVE(obj)                 (G_TYPE_CHECK_INSTANCE_CAST ((obj), EOG_TYPE_JOB_SAVE, EogJobSave))

### EOG_JOB_SAVE_CLASS()

    #define EOG_JOB_SAVE_CLASS(klass)         (G_TYPE_CHECK_CLASS_CAST ((klass),  EOG_TYPE_JOB_SAVE, EogJobSaveClass))

### EOG_IS_JOB_SAVE()

    #define EOG_IS_JOB_SAVE(obj)              (G_TYPE_CHECK_INSTANCE_TYPE ((obj), EOG_TYPE_JOB_SAVE))

### EOG_JOB_SAVE_GET_CLASS()

    #define EOG_JOB_SAVE_GET_CLASS(obj)       (G_TYPE_INSTANCE_GET_CLASS ((obj),  EOG_TYPE_JOB_SAVE, EogJobSaveClass))

### EOG_TYPE_JOB_SAVE_AS

    #define EOG_TYPE_JOB_SAVE_AS              (eog_job_save_as_get_type ())

### EOG_JOB_SAVE_AS()

    #define EOG_JOB_SAVE_AS(obj)              (G_TYPE_CHECK_INSTANCE_CAST ((obj), EOG_TYPE_JOB_SAVE_AS, EogJobSaveAs))

### EOG_JOB_SAVE_AS_CLASS()

    #define EOG_JOB_SAVE_AS_CLASS(klass)      (G_TYPE_CHECK_CLASS_CAST ((klass),  EOG_TYPE_JOB_SAVE_AS, EogJobSaveAsClass))

### EOG_IS_JOB_SAVE_AS()

    #define EOG_IS_JOB_SAVE_AS(obj)           (G_TYPE_CHECK_INSTANCE_TYPE ((obj), EOG_TYPE_JOB_SAVE_AS))

### EOG_JOB_COPY()

    #define EOG_JOB_COPY(obj)                 (G_TYPE_CHECK_INSTANCE_CAST ((obj), EOG_TYPE_JOB_COPY, EogJobCopy))

### EOG_JOB_COPY_CLASS()

    #define EOG_JOB_COPY_CLASS(klass)         (G_TYPE_CHECK_CLASS_CAST ((klass),  EOG_TYPE_JOB_COPY, EogJobCopyClass))

### eog_job_run ()

    void
    eog_job_run (EogJob *job);

### eog_job_set_progress ()

    void
    eog_job_set_progress (EogJob *job,
                          gfloat progress);

### eog_job_thumbnail_get_type ()

    GType
    eog_job_thumbnail_get_type (void);

### eog_job_thumbnail_new ()

    EogJob *
    eog_job_thumbnail_new (EogImage *image);

### eog_job_load_get_type ()

    GType
    eog_job_load_get_type (void);

### eog_job_load_new ()

    EogJob *
    eog_job_load_new (EogImage *image,
                      EogImageData data);

### eog_job_model_get_type ()

    GType
    eog_job_model_get_type (void);

### eog_job_model_new ()

    EogJob *
    eog_job_model_new (GSList *file_list);

Creates a new EogJob model.

#### Parameters

file_list | a GFile list. | [element-type GFile]

#### Returns

A EogJob.

### eog_job_transform_get_type ()

    GType
    eog_job_transform_get_type (void);

### eog_job_transform_new ()

    EogJob *
    eog_job_transform_new (GList *images,
                           EogTransform *transform);

Create a new EogJob for image transformation.

#### Parameters

images | a EogImage list. | [element-type EogImage][transfer full]
transform | a EogTransform |

#### Returns

A EogJob.

### eog_job_save_get_type ()

    GType
    eog_job_save_get_type (void);

### eog_job_save_new ()

    EogJob *
    eog_job_save_new (GList *images);

Creates a new EogJob for image saving.

#### Parameters

images | a EogImage list. | [element-type EogImage][transfer full]

#### Returns

A EogJob.

### eog_job_save_as_get_type ()

    GType
    eog_job_save_as_get_type (void);

### eog_job_save_as_new ()

    EogJob *
    eog_job_save_as_new (GList *images,
                         EogURIConverter *converter,
                         GFile *file);

Creates a new EogJog for save as.

#### Parameters

images | a EogImage list. | [element-type EogImage][transfer full]
converter | a URI converter file: a GFile |

#### Returns

A EogJob.

### eog_job_copy_get_type ()

    GType
    eog_job_copy_get_type (void);

### eog_job_copy_new ()

    EogJob *
    eog_job_copy_new (GList *images,
                      const gchar *destination);

Creates a new EogJob.

#### Parameters

images | a EogImage list. | [element-type EogImage][transfer full]
destination | destination path for the copy |

#### Returns

A EogJob.

## Types and Values

### EogJob

    typedef struct _EogJob EogJob;

### struct EogJobThumbnail

    struct EogJobThumbnail;

### struct EogJobLoad

    struct EogJobLoad;

### struct EogJobModel

    struct EogJobModel;

### struct EogJobTransform

    struct EogJobTransform;

### struct EogJobSave

    struct EogJobSave;

### struct EogJobSaveAs

    struct EogJobSaveAs;

### struct EogJobCopy

    struct EogJobCopy;

## Signal Details

### The `“cancelled”` signal

    void
    user_function (EogJob  *eogjob,
                   gpointer user_data)

Flags: Run Last

### The `“finished”` signal

    void
    user_function (EogJob  *eogjob,
                   gpointer user_data)

Flags: Run Last

### The `“progress”` signal

    void
    user_function (EogJob  *eogjob,
                   gfloat   arg1,
                   gpointer user_data)

Flags: Run Last